> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# List Claims

> Use this endpoint to list key claims with filters and pagination.
Returns empty array [] if no claims match the criteria.



## OpenAPI

````yaml /en/openapi/v3-current/indirect-pix.yaml get /v1/dict/claims
openapi: 3.0.3
info:
  title: Plugin BR Pix Indirect - Complete API
  description: |
    Complete API for Brazilian Pix instant payment system including
    Pix key dictionary operations, QR code generation/decoding, transactions and
    transaction limits.
  version: 1.0.0
servers:
  - url: https://plugin-pix-indirect.api.lerian.net
security:
  - bearerAuth: []
paths:
  /v1/dict/claims:
    get:
      tags:
        - Claims API
      summary: List Claims
      description: |-
        Use this endpoint to list key claims with filters and pagination.
        Returns empty array [] if no claims match the criteria.
      parameters:
        - $ref: '#/components/parameters/Limit'
        - $ref: '#/components/parameters/Page'
        - name: type
          in: query
          description: Filter by claim type.
          required: false
          example: OWNERSHIP
          schema:
            type: string
            enum:
              - OWNERSHIP
              - PORTABILITY
        - name: status
          in: query
          description: Filter by claim status.
          required: false
          example: OPEN
          schema:
            type: string
            enum:
              - OPEN
              - WAITING_RESOLUTION
              - CONFIRMED
              - CANCELLED
              - COMPLETED
        - name: key_value
          in: query
          description: Filter by Pix key value.
          required: false
          example: '+5561988887777'
          schema:
            type: string
        - $ref: '#/components/parameters/SortOrder'
        - name: bacen_claim_id
          in: query
          description: Filter by BACEN claim ID (UUID).
          required: false
          example: 019c96a0-0d16-7184-ad7f-38545eeb671c
          schema:
            type: string
      responses:
        '200':
          description: List of claims retrieved successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/ClaimObject'
                  page:
                    type: integer
                    example: 1
                  limit:
                    type: integer
                    example: 10
                required:
                  - items
                  - page
                  - limit
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0001:
                  $ref: '#/components/examples/ErrorPIX0001'
                ErrorPIX0002:
                  $ref: '#/components/examples/ErrorPIX0002'
                ErrorPIX0009:
                  $ref: '#/components/examples/ErrorPIX0009'
                ErrorPIX0010:
                  $ref: '#/components/examples/ErrorPIX0010'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0000:
                  $ref: '#/components/examples/ErrorPIX0000'
      deprecated: false
      security:
        - bearerAuth: []
components:
  parameters:
    Limit:
      name: limit
      in: query
      description: Maximum number of items per page.
      required: false
      example: 10
      schema:
        type: integer
        minimum: 1
        maximum: 100
        default: 10
    Page:
      name: page
      in: query
      description: Page number for pagination.
      required: false
      example: 1
      schema:
        type: integer
        minimum: 1
        default: 1
    SortOrder:
      name: sort_order
      in: query
      description: 'Sort direction: asc or desc.'
      required: false
      example: asc
      schema:
        type: string
        enum:
          - asc
          - desc
        default: asc
  schemas:
    ClaimObject:
      type: object
      properties:
        id:
          type: string
          description: Internal UUID of the claim.
          example: 019c96a0-0c3e-77b5-8321-4807058a67bb
        bacenClaimId:
          type: string
          description: BACEN DICT identifier for this claim.
          example: 019c96a0-0d16-7184-ad7f-38545eeb671c
        key:
          type: string
          description: The Pix key value being claimed.
          example: '+5561988887777'
        keyType:
          type: string
          description: Type of Pix key.
          example: PHONE
        type:
          type: string
          description: Type of claim.
          enum:
            - OWNERSHIP
            - PORTABILITY
          example: OWNERSHIP
        status:
          type: string
          description: Current status of the claim.
          enum:
            - OPEN
            - WAITING_RESOLUTION
            - CONFIRMED
            - CANCELLED
            - COMPLETED
          example: OPEN
        donorParticipant:
          type: string
          description: ISPB of the donor PSP.
          example: '30306294'
        resolutionPeriodEnd:
          type: string
          format: date-time
          description: Deadline for donor response (D+7 from creation).
          example: '2024-01-22T10:30:00Z'
        completionPeriodEnd:
          type: string
          format: date-time
          description: Deadline for claim completion (D+14 from creation).
          example: '2024-01-29T10:30:00Z'
        createdAt:
          type: string
          format: date-time
          description: Timestamp when the claim was created.
          example: '2024-01-15T10:30:00Z'
        updatedAt:
          type: string
          format: date-time
          description: Timestamp when the claim was last updated.
          example: '2024-01-15T10:30:00Z'
    ErrorFormat:
      type: object
      description: The response message error.
      required:
        - code
        - title
        - message
      properties:
        code:
          type: string
          description: A unique, stable identifier for the error.
        title:
          type: string
          description: A brief summary of the issue.
        message:
          type: string
          description: Detailed guidance for resolving the error.
  examples:
    ErrorPIX0001:
      summary: Missing Headers in Request
      value:
        code: PIX-0001
        title: Missing Headers in Request
        message: >-
          Your request is missing one or more required header params. Please
          refer to the documentation to ensure all necessary header params are
          included in your request.
    ErrorPIX0002:
      summary: Invalid Header Value
      value:
        code: PIX-0002
        title: Invalid Header Value
        message: >-
          One or more header values are invalid. Please refer to the
          documentation to verify the expected format and allowed values for
          each header.
    ErrorPIX0009:
      summary: Missing Query Params in Request
      value:
        code: PIX-0009
        title: Missing Query Params in Request
        message: >-
          Your request is missing one or more required query params. Please
          refer to the documentation to ensure all necessary query params are
          included in your request.
    ErrorPIX0010:
      summary: Invalid Query Param in Request
      value:
        code: PIX-0010
        title: Invalid Query Param in Request
        message: >-
          One or more query params are invalid. Please refer to the
          documentation to verify the expected format and allowed values for
          each query param.
    ErrorPIX0000:
      summary: Internal Server Error
      value:
        code: PIX-0000
        title: Internal Server Error
        message: The server encountered an unexpected error. Please try again later.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````